## WebKitDOMHTMLDListElement WebKitDOMHTMLDListElement |

## Functions

gboolean | webkit_dom_html_d_list_element_get_compact ()
void | webkit_dom_html_d_list_element_set_compact ()

## Properties

gboolean | compact | Read / Write

## Types and Values

struct | WebKitDOMHTMLDListElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLDListElement

## Implemented Interfaces

WebKitDOMHTMLDListElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_d_list_element_get_compact ()

    gboolean
    webkit_dom_html_d_list_element_get_compact
                                   (WebKitDOMHTMLDListElement *self);

`webkit_dom_html_d_list_element_get_compact` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLDListElement |

#### Returns

A gboolean

### webkit_dom_html_d_list_element_set_compact ()

    void
    webkit_dom_html_d_list_element_set_compact
                                   (WebKitDOMHTMLDListElement *self,
                                    gboolean value);

`webkit_dom_html_d_list_element_set_compact` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLDListElement |
value | A gboolean |

## Types and Values

### struct WebKitDOMHTMLDListElement

    struct WebKitDOMHTMLDListElement;

## Property Details

### The `“compact”` property

      “compact”                  gboolean

read-write gboolean HTMLDListElement:compact.

Flags: Read / Write

Default value: FALSE